Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056305 - Error during OAuth flow with: TWITTER_ERROR: Server returned HTTP response code: 403 for URL: http://api.twitter.com/oauth/request_token
Summary: Error during OAuth flow with: TWITTER_ERROR: Server returned HTTP response co...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR01
: 6.1.1
Assignee: mposolda
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 23:10 UTC by Tomas Kyjovsky
Modified: 2019-01-01 03:41 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Changes to the Twitter API to HTTPS after Red Hat JBoss Portal 6.1.0 was released caused issues with the Twitter4j-core library. Customers were not able to authenticate with Twitter due to the HTTPS requirement of the service. The fix introduces updates to the Twitter4j-core library from version 3.0.3 to version 3.0.5, which implements the HTTPS protocol for Twitter API transactions. Customers can now authenticate using Twitter OAuth. Customers using JBoss Portal 6.1.0 can manually fix the integration by upgrading twitter4j-core library directly in the installation: 1. Download twitter4j-core from http://search.maven.org/remotecontent?filepath=org/twitter4j/twitter4j-core/3.0.5/twitter4j-core-3.0.5.jar 2. Move the jar into RHJP_HOME/modules/system/add-ons/gatein/org/twitter4j/main/ 3. Change the version number in RHJP_HOME/modules/system/add-ons/gatein/org/twitter4j/main/module.xml
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Twitter Error (deleted)
2014-01-21 23:10 UTC, Tomas Kyjovsky
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3380 Major Resolved Error during OAuth flow with: TWITTER_ERROR: Server returned HTTP response code: 403 for URL: http://api.twitter.com/oau... 2014-02-13 16:41:53 UTC

Description Tomas Kyjovsky 2014-01-21 23:10:21 UTC
Created attachment 853503 [details]
Twitter Error

Description of problem:

Twitter integration stopped working.

When I try to log in/register via twitter I get an error popup: "Unspecified error during oauth flow".

log shows:
Error during OAuth flow with: TWITTER_ERROR: Server returned HTTP response code: 403 for URL: http://api.twitter.com/oauth/request_token
...



Version-Release number of selected component (if applicable):

twitter4j-core-3.0.3.jar



Steps to Reproduce:

1. follow the steps for Gatein-Twitter OAuth integration: https://docs.jboss.org/author/display/GTNPORTAL37/Twitter

2. start portal

3. sign in via Twitter Oauth

Comment 2 Peter Palaga 2014-01-23 17:42:59 UTC
Merged https://github.com/gatein/gatein-portal/pull/774

Comment 3 Tomas Kyjovsky 2014-02-07 13:06:01 UTC
This issue is fixed in 6.1.1.CR01. User can sign in or register via Twitter. 

However there seems to be no automatic redirection back to portal (as with Facebook or G+), user has to authorize the app every time even if it has been already authorized. I will create separate BZ for this.

Comment 4 Tomas Kyjovsky 2014-02-10 15:23:09 UTC
Note: After further investigation it seems that automatic redirection for twitter works ok, but only if permissions for the oauth application are set to read-only. If the permissions are read-write twitter wants to re-authorize the application every time.


Note You need to log in before you can comment on or make changes to this bug.